msgpack::adaptor::convert< std::deque< T, Alloc > > Struct Template Reference

`#include <deque.hpp>`

## Public Member Functions

msgpack::object const & | operator() (msgpack::object const &o, std::deque< T, Alloc > &v) const

## Member Function Documentation

## operator()()

template<typename T , typename Alloc >

msgpack::object const& msgpack::adaptor::convert< std::deque< T, Alloc > >::operator() | ( | msgpack::object const & | o,
|  | std::deque< T, Alloc > & | v
| ) |  | const

inline

References msgpack::type::ARRAY, msgpack::object::union_type::array, msgpack::object::convert(), msgpack::object_array::ptr, msgpack::object_array::size, msgpack::object::type, and msgpack::object::via.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/deque.hpp